/********************************************************************************/
/*                                                                              */
/*  Kroenke, Auer, Vandenberg & Yoder                                           */
/*  Database Concepts (8th Edition) Chapter 08                                  */
/*                                                                              */
/*  Marcia's Dry Cleaning Data Warehouse [MDC-DW] Insert Data                   */
/*                                                                              */
/*  Oracle Database XE code solutions                                    */
/*                                                                              */
/********************************************************************************/

/*****  CUSTOMER Data   *********************************************************/

INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'Kaccaton, Nikki', 'somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'Catnazaro, Brenda', 'somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'LeCat, Bruce', 'somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'Miller, Betsy', 'somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'Miller, George', 'somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'Miller, Kathy', 'somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
		'Miller, Betsy', 'elsewhere.com');

/*****  SERVICE Data   **********************************************************/

INSERT INTO SERVICE VALUES(10, 'Men''s Shirt');
INSERT INTO SERVICE VALUES(11, 'Dress Shirt');
INSERT INTO SERVICE VALUES(15, 'Women''s Shirt');
INSERT INTO SERVICE VALUES(16, 'Blouse');
INSERT INTO SERVICE VALUES(20, 'Slacks–Men''s');
INSERT INTO SERVICE VALUES(25, 'Slacks–Women''s');
INSERT INTO SERVICE VALUES(30, 'Skirt');
INSERT INTO SERVICE VALUES(31, 'Dress Skirt');
INSERT INTO SERVICE VALUES(40, 'Suit–Men''s');
INSERT INTO SERVICE VALUES(45, 'Suit–Women''s');
INSERT INTO SERVICE VALUES(50, 'Tuxedo');
INSERT INTO SERVICE VALUES(60, 'Formal Gown');


/*****  ORDER Data   ************************************************************/

INSERT INTO INVOICE VALUES(
		2017001,
		TO_DATE('10/04/17', 'MM/DD/YY'),
		TO_DATE('10/06/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017002, 
		TO_DATE('10/04/17', 'MM/DD/YY'),
		TO_DATE('10/06/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017003, 
		TO_DATE('10/06/17', 'MM/DD/YY'),
		TO_DATE('10/08/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017004, 
		TO_DATE('10/06/17', 'MM/DD/YY'),
		TO_DATE('10/08/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017005, 
		TO_DATE('10/07/17', 'MM/DD/YY'),
		TO_DATE('10/11/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017006, 
		TO_DATE('10/11/17', 'MM/DD/YY'),
		TO_DATE('10/13/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017007, 
		TO_DATE('10/11/17', 'MM/DD/YY'),
		TO_DATE('10/13/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017008, 
		TO_DATE('10/12/17', 'MM/DD/YY'),
		TO_DATE('10/14/17', 'MM/DD/YY'));
INSERT INTO INVOICE VALUES(
		2017009, 
		TO_DATE('10/12/17', 'MM/DD/YY'),
		TO_DATE('10/14/17', 'MM/DD/YY'));

INSERT INTO INVOICE VALUES(
		2017010, 
		TO_DATE('10/14/17', 'MM/DD/YY'),
		NULL);

INSERT INTO INVOICE VALUES(
		2017011, 
		TO_DATE('10/15/17', 'MM/DD/YY'),
		NULL);

INSERT INTO INVOICE VALUES(
		2017012, 
		TO_DATE('10/17/17', 'MM/DD/YY'),
		NULL);


/*****  TIMELINE Data   ************************************************************/

INSERT INTO TIMELINE VALUES(
	43012, TO_DATE('10/04/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43014, TO_DATE('10/06/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43015, TO_DATE('10/07/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43019, TO_DATE('10/11/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43020, TO_DATE('10/12/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43022, TO_DATE('10/14/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43023, TO_DATE('10/15/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	43025, TO_DATE('10/17/2017', 'MM/DD/YYYY'), 10, 'October', 3, 'Qtr3', 2017);


/*****  INVOICE_ITEM Data   ********************************************************/

INSERT INTO INVOICE_ITEM VALUES(
	43012,	100, 2017001, 16,  7.00);
INSERT INTO INVOICE_ITEM VALUES(
	43012,	100,	2017001,	11,  12.50);
INSERT INTO INVOICE_ITEM VALUES(
	43012,	100,	2017001,	50, 20.00);
INSERT INTO INVOICE_ITEM VALUES(
	43012,	100,	2017001,	20, 50.00);
INSERT INTO INVOICE_ITEM VALUES(
	43012,	100,	2017001,	25, 60.00);
INSERT INTO INVOICE_ITEM VALUES(
	43012,	100,	2017001,	40, 9.00);
INSERT INTO INVOICE_ITEM VALUES(
	43012,	105,	2017002,	11, 25.00);

INSERT INTO INVOICE_ITEM VALUES(
	43014,	100,	2017003,	20, 25.00);
INSERT INTO INVOICE_ITEM VALUES(
	43014,	100,	2017003,	25, 24.00);
INSERT INTO INVOICE_ITEM VALUES(
	43014,	115,	2017004,	11, 7.50);

INSERT INTO INVOICE_ITEM VALUES(
	43015,	125,	2017005,	16, 7.00);
INSERT INTO INVOICE_ITEM VALUES(
	43015,	125,	2017005,	11, 5.00);

INSERT INTO INVOICE_ITEM VALUES(
	43019,	110,	2017006,	16, 17.50);
INSERT INTO INVOICE_ITEM VALUES(
	43019,	110,	2017006,	11, 25.00);
INSERT INTO INVOICE_ITEM VALUES(
	43019,	110,	2017006,	20, 50.00);
INSERT INTO INVOICE_ITEM VALUES(
	43019,	110,	2017006,	25, 60.00);
INSERT INTO INVOICE_ITEM VALUES(
	43019,	110,	2017007,	16, 7.00);

INSERT INTO INVOICE_ITEM VALUES(
	43020,	130,	2017008,	16, 10.50);
INSERT INTO INVOICE_ITEM VALUES(
	43020,	130,	2017008,	11, 30.00);
INSERT INTO INVOICE_ITEM VALUES(
	43020,	130,	2017008,	20, 40.00);
INSERT INTO INVOICE_ITEM VALUES(
	43020,	130,	2017008,	25, 60.00);
INSERT INTO INVOICE_ITEM VALUES(
	43020,	120,	2017009,	40, 27.00);

INSERT INTO INVOICE_ITEM VALUES(
	43022,	110,	2017010,	16, 7.00);

INSERT INTO INVOICE_ITEM VALUES(
	43023,	130,	2017011,	16, 10.50);
INSERT INTO INVOICE_ITEM VALUES(
	43023,	130,	2017011,	11, 30.00);
INSERT INTO INVOICE_ITEM VALUES(
	43023,	130,	2017011,	20, 40.00);
INSERT INTO INVOICE_ITEM VALUES(
	43023,	130,	2017011,	25, 60.00);

INSERT INTO INVOICE_ITEM VALUES(
	43025,	120,	2017012,	40, 27.00);

/*********************************************************************************/




